Subject: bug#11906: 24.1; completion-at-point failures

From: Stefan Monnier <[email-masked]>
Date: Wed, 04 Dec 2013 23:33:59 -0500

>> Probably, yes.  It would turn test-completion and try-completion into
>> calls to all-completions and then cache one "arg+result" of
>> all-completions (this pair would be sufficient to cover all calls to
>> test/try/all-completion for any argument string which has `arg' as its
>> prefix).
> How does this patch look?
> (The Octave part is 100% untested).

Looks OK, thank you.  We may want to extend it at some point with
a predicate that can test if the cache is stale, but for now it's
probably good enough.

        Stefan